Class | RI::SimpleFormatter
In: | rdoc/ri/ri_formatter.rb
Parent: | TextFormatter

This formatter reduces extra lines for a simpler output. It improves way output looks for tools like IRC bots.

### Methods

blankline display_heading draw_line

### Public Instance methods

blankline()

No extra blank lines

[Source]

    # File rdoc/ri/ri_formatter.rb, line 617
        def blankline
        end

display_heading(text, level, indent)

Place heading level indicators inline with heading.

[Source]

    # File rdoc/ri/ri_formatter.rb, line 635
        def display_heading(text, level, indent)
          text = strip_attributes(text)
          case level
          when 1
            puts "= " + text.upcase
          when 2
            puts "-- " + text
          else
            print indent, text, "\n"
          end
        end

draw_line(label=nil)

Display labels only, no lines

[Source]

    # File rdoc/ri/ri_formatter.rb, line 624
        def draw_line(label=nil)
          unless label.nil? then
            bold_print(label)
            puts
          end
        end

[Validate]